Page MenuHomePhabricator

Homepage: light text style tracking issue in mobile homepage module previews
Closed, ResolvedPublicBUG REPORT

Description

In the context of the mobile Newcomer homepage, light text style in impact, mentor and help module previews feature increased letter-spacing. According to mockup specifications letter-spacing should be zero.

Actual Results:

Expected Results:

.growthexperiments-homepage-module-text-light {
  letter-spacing: 0;
}

Event Timeline

Cntlsn created this task.Aug 12 2019, 4:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2019, 4:21 PM

There's a letter-spacing: 0.02em rule on these because you asked for it here: T218966#5130398

Should the increased letter spacing continue to be applied on desktop, and only be undone on mobile, or should it be removed completely?

phuedx moved this task from Needs triage to Growth on the Mobile board.Aug 15 2019, 11:10 AM

Change 530596 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Remove letter spacing for text light on mobile

https://gerrit.wikimedia.org/r/530596

Change 530596 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Remove letter spacing for text light on mobile

https://gerrit.wikimedia.org/r/530596

There's a letter-spacing: 0.02em rule on these because you asked for it here: T218966#5130398

Should the increased letter spacing continue to be applied on desktop, and only be undone on mobile, or should it be removed completely?

@RHo - the question above is still unanswered.

On the task screenshot the label "Active ... days ago" (growthexperiments-homepage-mentorship-lastactive) is marked for a change of letter-spacing.

But the fix is applied only to two instances of .growthexperiments-homepage-module-text-light.

growthexperiments-homepage-mentorship-lastactive is still

.growthexperiments-homepage-mentorship-editcount, .growthexperiments-homepage-mentorship-lastactive {
    color: #72777d;
    font-size: 0.85em;
    letter-spacing: 0.02em;

The screenshot for

.growthexperiments-homepage-module-mobile-summary .growthexperiments-homepage-module-text-light, .growthexperiments-homepage-module-mobile-details .growthexperiments-homepage-module-text-light, .growthexperiments-homepage-module-mobile-overlay .growthexperiments-homepage-module-text-light {
    letter-spacing: 0;
}

RHo added a comment.Aug 21 2019, 12:49 PM

Hi @SBisson @Catrope - can we remove letter-spacing from all the modules please? It has very marginal benefit considering we are using the standard sans-serif font stack anyway, and in the different languages we have the module, I prefer to not change the letter-spacing from the default of 0 in case of unintended visual effects.

RHo added a comment.Aug 21 2019, 12:53 PM

Hi @SBisson @Catrope - can we remove letter-spacing from all the modules please? It has very marginal benefit considering we are using the standard sans-serif font stack anyway, and in the different languages we have the module, I prefer to not change the letter-spacing from the default of 0 in case of unintended visual effects.

Change 531495 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Use only default letter spacing

https://gerrit.wikimedia.org/r/531495

Change 531495 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Use only default letter spacing

https://gerrit.wikimedia.org/r/531495

Checked -letter-spacing is removed:

RHo removed a project: Growth Design.

Great, thanks!

MMiller_WMF closed this task as Resolved.Aug 29 2019, 12:49 AM

Thank you!